Xalan-Java: Class XBooleanStatic

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xpath
Class XBooleanStatic

    java.lang.Object
      |
      +--org.apache.xalan.xpath.XObject
            |
            +--org.apache.xalan.xpath.XBoolean
                  |
                  +--org.apache.xalan.xpath.XBooleanStatic

public class XBooleanStatic
extends XBoolean

**For internal use only** This class doesn't have any XPathSupport, so override whatever to ensure it works OK.

See Also:
  Serialized Form

Fields inherited from class org.apache.xalan.xpath.XObject
`CLASS_BOOLEAN, CLASS_NODESET, CLASS_NULL, CLASS_NUMBER, CLASS_RTREEFRAG, CLASS_STRING, CLASS_UNKNOWN`

Constructor Summary
`XBooleanStatic(boolean b)` **For internal use only** Construct a XNodeSet object.

Method Summary
`boolean` | `equals(XObject obj2)` **For internal use only** Tell if two objects are functionally equal.

Methods inherited from class org.apache.xalan.xpath.XBoolean
`bool, getType, num, object, str`

Methods inherited from class org.apache.xalan.xpath.XObject
`castToType, greaterThan, greaterThanOrEqual, lessThan, lessThanOrEqual, mutableNodeset, nodeset, notEquals, rtree, rtree, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XBooleanStatic

    public XBooleanStatic(boolean b)

  **For internal use only** Construct a XNodeSet object.

Method Detail

### equals

    public boolean equals(XObject obj2)
                   throws org.xml.sax.SAXException

  **For internal use only** Tell if two objects are functionally equal.
  Overrides:
    equals in class XBoolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.